XFilterEvent(3X11)

NAME
XFilterEvent - filter X events for an input method

SYNTAX

Bool XFilterEvent(XEvent *event, Window w);

ARGUMENTS

event
    Specifies the event to filter.

w   Specifies the window for which the filter is to be applied.

DESCRIPTION
If the window argument is applies the filter to the window specified in the structure. The window argument is provided so that layers above Xlib that do event redirection can indicate to which window an event has been redirected.

If returns then some input method has filtered the event, and the client should discard the event. If returns then the client should continue processing the event.

If a grab has occurred in the client and returns the client should ungrab the keyboard.

SEE ALSO
XNextEvent(3X11)
Xlib - C Language X Interface